Name:Insurance Valet
 
Version:1.0.2.1
 
Publisher:TransGuardian, Inc.
 
The following prerequisites are required:
 
  • Microsoft .NET Framework 4 Client Profile (x86 and x64) and Update for .NET Framework 4 (KB2468871)
If these components are already installed, you can launch the application now. Otherwise, click the button below to install the prerequisites and run the application.
 
Install
 
TransGuardian, Inc. Customer Support    ::    ClickOnce and .NET Framework Resources